Subject: Re: bug#34990: "Can’t mark negative article numbers": why and how to avoid this error?

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 18:12:07 +0200

Bastien <[email-masked]> writes:

> from time to time, trying to mark articles with "!", I get this error:
> "Can’t mark negative article numbers" and the article is not marked.
>
> My config is here: https://github.com/bzg/dotemacs/blob/master/emacs.el
>
> I'm using Gnus over a local dovecot-powered IMAP, sync'ed with mbsync.

When referring articles by Message-ID and the like, Gnus doesn't know
what the article numbers are, so they can't be marked.

I've now changed the warning to:

"Gnus doesn't know the article number; can't mark"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no